@import './theme.css';
@import './article.css';
@import './link.css';
@import './editable.css';

::view-transition-group(root) {
    animation-duration: 0.25s;
}

html {
    font-size: 16px;
    font-size: 1.0625em;
    background-color: var(--color-bg-body);
}
    
body {
    min-height: 100vh;
    max-width: 48rem;
    margin: auto;
    padding-left: 2rem;
    padding-right: 2rem;
    font-family: var(--font-body);
    color: var(--color-text-body);
}

body> header {
    font-family: var(--font-heading);
    color: var(--color-text-heading);
}


/* body> header {
    grid-area: header;
    display: grid;
    align-items: center;
    grid-template-columns: minmax(0,1fr) minmax(0,max-content);
    font-family: var(--font-heading);
    color: var(--color-text-heading);

    & ul {
        padding-inline-start: 27px;
        list-style-type: none;
        display: flex;
        gap: 1rem;
        li {
            padding: 0;

            a {
                --link-color: var(--color-text-bold);
                --link-hover-color: var(--color-text-bold);
                --underline-color: var(--color-text-link);
            / * @include animate-underline-from-left; * /
            }
        }
    }
} */

body> main {
    height: auto;
    min-height: 73vh;
    margin: auto inherit;
    /* max-width: 48rem; */

    grid-area: main;
    @media (min-width:640px) { 
        padding-left: 2rem; padding-right: 2rem; 
    }
}

body> footer {
    margin-top: 40px;
    margin-botton: 23px;
    grid-area: footer;
    text-align: center;
    /* text-sm: */
    font-size: 0.875rem;
    line-height: 1.25rem;
    line-height: 1.75rem;
    /* display: flex; */
    align-items: center;
    justify-content: center;
    font-family: var(--font-heading);
    color: var(--color-text-heading);

    padding-bottom: 1em
}